Skip to main content

Get a project

GET 

/api/projects/{id}

This endpoint handles both the Project List and the Pipeline Opportunities as a single "project" resource.

Required permissions:

  • pipeline.view: allows view resources where the user is the PM or the Account.
  • pipeline.view_other: allows view resources where the user is not the PM nor the Account.

Here the dedicated support page.

Project metadata

Project metadata appear in the response as dynamic fields named metadata_13 where 13 is the ID of the project metadata.

Only project metadata with a value will appear in the response.

You can get all the available project metadata using the related endpoint.

Request

Path Parameters

    id integerrequired

    Possible values: Value must match regular expression [0-9]+

    The ID of the project to view

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the requested project.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    name stringrequired
    job_order string
    purchase_order string
    value floatrequired

    The value of the project in K

    probability integerrequired

    Possible values: <= 100

    The probability of the project

    external_cost_percentage integerrequired

    The amount of external costs in percentage of the project value

    date_start daterequired

    The first day of month where the project started

    duration integerrequired

    Possible values: >= 1

    Duration of the project in months

    is_archived booleanrequired
    archived_on date

    The date the project was archived

    due_date date

    The date the project is supposed to end

    signed_on date

    The date the project has been signed

    is_timesheet_whitelist_enabled booleanrequired

    Whether timesheet whitelist is enabled for the project

    job_order_category_id integerrequired

    Possible values: >= 1

    ID of the job order category

    project_type_id integer

    Possible values: >= 1

    ID of the project type

    client_id integerrequired

    Possible values: >= 1

    ID of the client

    pm_id integerrequired

    Possible values: >= 1

    ID of the person who is the project manager

    account_id integer

    Possible values: >= 1

    ID of the person who is the account

    client_contact_id integer

    Possible values: >= 1

    ID of the client contact

    reason_why_id integer

    Possible values: >= 1

    ID of the reason why the project is won or lost

    business_unit_id integer

    Possible values: >= 1

    ID of the business unit

    billing_group_id integer

    Possible values: >= 1

    ID of the billing group the project is in

    project_stage_id integer

    Possible values: >= 1

    ID of the opportunity stage

    job_order_category

    object

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    name stringrequired

    Possible values: <= 50 characters

    The job order category name

    color stringrequired

    Possible values: <= 50 characters

    The job order category RGB color

    is_chargeable booleanrequired

    Whether the job order category is chargeable

    is_allocation_request_required booleanrequired

    Whether plannings on projects with this job order category must be approved

    is_planning_allowed_to_everybody booleanrequired

    Whether everybody can plan projects with this job order category, regardless of their permissions

    is_planning_unlimited booleanrequired

    Whether projects with this job order category have unlimited planning

    hours_type string

    The type of hours worked on projects with this job order category

    is_program_required booleanrequired

    Whether projects with this job order category must be in a program

    is_budget_invoice_driven booleanrequired

    Whether projects with this job order category use invoice-driven budget

    is_capex booleanrequired

    Whether projects with this job order category are capex

    external_costs_type stringrequired

    Possible values: [on-goods-sold, before-contribution-margin, on-g-and-a, on-marketing]

    The type of external costs for projects with this job order category

    is_won_lost_feedback_required booleanrequired

    Whether projects with this job order category track won/lost feedback

    is_opportunity_status_tracking_enabled booleanrequired

    Whether projects with this job order category track opportunity status

    is_timesheet_automatic booleanrequired

    Whether projects with this job order category use automatic timesheets

    is_external_drive_canvas_enabled booleanrequired

    Whether projects with this job order category use external drive canvas

    project_status_mode stringrequired

    Possible values: [remaining-days, percentage, time-based, timesheet-based]

    The project status mode for projects with this job order category

    is_project_review_required booleanrequired

    Whether projects with this job order category require a review after being archived

    project_review_value_threshold integer

    The minimum project value in K to require a review after being archived

    job_order_category_group_id integerrequired

    The ID of the job order category group

    job_order_template_id integer

    The ID of the job order template

    deleted_at date-time

    The date and time when the resource was deleted

    deleted_at date-time

    The date and time when the resource was deleted

Loading...